﻿# About Preview Versions

Occasionally, we publish preview versions of upcoming Tiny Life versions on a different Steam branch, as well as on itch. We use previews to test upcoming features and changes publicly, while still allowing players to easily revert to a more stable version.

When deciding to try out a Tiny Life preview version, please keep in mind that they contain **unfinished** and possibly **buggy content** that might change before the version is officially released. This means that we recommend using a **separate save file** when playing with a preview version.

If you encounter any issues or have feedback about any of the preview's new features, you can let us know through the usual channels, including the [feedback form](https://tinylifegame.com/feedback) (which you can also reach from in-game as usual) or [the Discord](https://link.tinylifegame.com/discordweb).

## Previews on Steam
To select the preview branch on Steam for the demo or the Early Access version, simply right-click the game in your library and select Properties. Then go to the Betas tab, and select the preview branch from the dropdown menu. If you want to revert to the regular release, you can do so using the same process.

![](../media/previews_steam_1.png)

![](../media/previews_steam_2.png)

The preview branch will always have the most up-to-date version of the game, including full releases. This means that you can stay on this branch permanently if you always want to play with preview versions.

## Previews on itch
Preview versions are available as normal Tiny Life builds on itch.

For managing what version you want to use when playing, we recommend installing the [itch app](https://itch.io/app), which allows selecting a game version to use.
