---
title: "0.12.0: The Fitness Set"
itch: "https://ellpeck.itch.io/tiny-life/devlog/264773/0120-the-fitness-set"
steam: "https://store.steampowered.com/news/app/1651490/view/2990934608186477339"
---

Today marks the day that the first official set for Tiny Life is released. Now, you may be asking yourself: What is a set? How does it work? When did you become Electronic Arts? And how much money do I have to pay? And the simple answers are: A very cool thing, by downloading the update, I didn't, no money at all!

To sum up what sets are going to be, and what the first set is, have this lovely screenshot that explains it very well:

![](https://img.itch.zone/aW1nLzYyOTI4MTUucG5n/original/QtKIie.png)

With the first set comes a large amount of new content. Not only is there tons of new furniture and clothing items, there is also a whole new skill and gameplay element: Working out! To get a good overview of the new stuff, check out this neat trailer I made:

<iframe width="560" height="315" src="https://www.youtube.com/embed/e86RRKPNLv0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

As stated several times already now, the art for this first set was created by Tector, who is a very lovely artist that I am excited to have been able to work with. He did some awesome work creating these items, and he helped me come up with some additional mechanics for the set. The whole process was a back and forth of ideas and suggestions, really, and I am very grateful that it all turned out so lovely. If you want to see more of Tector's art, check out his [Instagram page](https://www.instagram.com/tector_pixel/).

Along with the fitness set, there are some more fun changes and improvements to the game. The most notable one of these is the addition of two new properties that a person can have: Asexuality and aromance. As I discussed in the last post, being part of the LGBTQ+ community also means that it is very important to me to represent it properly, and asexuality and aromance are a very big part of that.

Here's a quick rundown of what these two properties do. Since the relationship system is fairly simple in general right now, these two properties are also fairly straightforward:

- Asexuality causes a person not to engage autonomously in sexual interactions (fooling around etc.), but you can still invoke them manually. They decline sexual actions more often, and everything that would usually make people Frisky makes an asexual person just happy.
- Aromance causes a person not to have a romance meter for anyone. Romantic interactions and romantic relationships are still possible, but their chance of success and their outcome only relate to the friendship meter. A non-aromantic partner's behavior remains unchanged.

If you want to add either one of these properties to an existing person, you can do so by pressing the F1 key to open up a cheat console, and then typing "EditPerson" to open the character creator with all features enabled.

As always, here's a copy of the full changelog for your enjoyment:

- Added the Fitness Set, with art by Tector, which includes a fitness skill and several new furniture and clothing items:
  - Five new hairstyles
  - One new pair of pants and shoes
  - Three new tops
  - 11 new furniture items, including a treadmill, a standing desk, a protein shaker and some decorative items
- Added aromance and asexuality, both of which can be set in the character creator
- Added two additional windows and one additional door
- Added an outfit system that allows you to create multiple outfits for a person and switch between them anywhere
- Made social actions less likely to be executed by the AI if they've been done recently
- Made people mop more puddles after mopping a puddle automatically
- Made people more likely to do the dishes, so that they actually do the dishes
- Fixed a few memory leaks that caused more RAM to be used the more saves were loaded/exited in one session
- Improved map rendering performance
- Fixed some visual inconsistencies with the in-game ui
- Fixed held items being on a lower layer, causing them to look incorrect
- Fixed negative social actions taking away from relationships too little
- Fixed the ability to place ground objects on other ground objects
- Fixed the position of the coffee table being slightly off in one rotation
- Fixed covered tiles not being included in a lot's covered area
- Fixed people going to weird locations when visiting non-residential lots
