---
title: "0.13.0: Camera Rotation and a Larger Map!"
itch: "https://ellpeck.itch.io/tiny-life/devlog/271199/0130-camera-rotation-and-a-larger-map"
steam: "https://store.steampowered.com/news/app/1651490/view/2967291343236374275"
---

A very exciting update for Tiny Life is dropping today: 0.13.0 adds camera rotation and a pretty major upgrade of the game's map! Check out the screenshots, explanations and additional features in this post!

Before we start, though: I recently realized that you can rate the game on itch, which apparently helps with visibility and the like. If you've already played the game, and you enjoyed it, and you have an itch account, it would be great if you could do so! All you have to do is go to the game's [itch page](https://ellpeck.itch.io/tiny-life) and press "Rate Game" in the top right. Thanks!

# Camera rotation

Now to the exciting part, and the one that a lot of yall have been waiting for: Camera rotation! You can now rotate the camera in the game using the C key to rotate clockwise and Shift + C to rotate counter-clockwise. You can also use the little rotate buttons in the top right of your screen as well. Here's a cool preview from an in-dev version that shows camera rotation in action:

![](https://img.itch.zone/aW1nLzY0NDI3NTEuZ2lm/original/4XvBWp.gif)

Additionally, if you're interested, here are some fun in-depth pictures from when I was still working on making everything compatible with camera rotation. It turns out that, while you can just literally move and rotate the camera in a 3D game, it's a lot harder in isometric 2D because just rotating the camera would make all of the objects look skewed and absolutely terrible. So this took me quite a while to get working, but it was definitely worth it in the end!

![](https://img.itch.zone/aW1nLzY0NDI3NTMucG5n/original/N6P%2Ftf.png)

![](https://img.itch.zone/aW1nLzY0NDI3NTUucG5n/original/jEdjiv.png)

![](https://img.itch.zone/aW1nLzY0NDI3NTgucG5n/original/5VQRGW.png)

During development, there were also some much more cursed pictures to be taken, of broken roofs, rotated walls and backwards-walking people. But I thought I'd better spare everyone, especially future me.

# The map update

An exciting addition in this version is the addition of a second area on the map. This new area is supposed to look a little more commercial and/or city-like, and so it has a lot more lots that are all a lot closer together. Along with this larger map, you get two new lots: A new park and a new house, the latter of which is inhabited by the one and only Tom Tannenbaum.

Enjoy these pictures! I should note, though, that the first one is an in-development screenshot that doesn't feature the park and new residential house yet. If you want to see the park, you'll just have to boot up the game yourself!

![](https://img.itch.zone/aW1nLzY0NDI3ODMucG5n/original/1wx9B5.png)

![](https://img.itch.zone/aW1nLzY0NDI3ODQucG5n/original/6YS08K.png)

![](https://img.itch.zone/aW1nLzY0NDI3ODUucG5n/original/aYSZEM.png)

# The logo

Oh, also, before I forget to mention this: It's pretty obvious, but the game finally has a proper logo now! This awesome logo was created by the lovely [Tector](https://www.instagram.com/tector_pixel/), who previously worked on the Fitness set with me.

We debated a lot about the design of the logo, but I think this final version represents the game's fun and light-hearted aesthetic and gameplay very well.

![](https://img.itch.zone/aW1nLzY0NDI4MDQucG5n/original/Th9Ent.png)

# The full changelog

As always, here's a copy of the full changelog for your enjoyment. Of course, you can also look at this changelog in the game's main menu.

Additions
- Added camera rotation, which can be used using the C key or the rotation buttons in the top right
- Added a new, more commercial-looking area to the game's map that currently features a park and a new resident
- Added Steam cloud syncing when playing while Steam is open
- Added some more social actions, especially ones related to emotions and skill levels
- Added a proper logo to the game, created by Tector
- Added getting water and washing your hands at sinks

Improvements
- Improved action navigation by adding pages to the ring menu
- Added some more plant and wood color schemes
- Added an "are you sure" screen for map employment changes
- Made objects be worth less when sold after being used
- Improved the roofing tool by displaying what's going on
- Made people a little less fast when feeling energetic
- Handle more action-related issues gracefully by displaying a notification about them
- Improved the options menu by adding tabs to it
- Made all emotion modifiers have higher values by default to allow for more nuanced emotions
- Improved rendering performance
- Added more info about the progress of map loading to the loading screen
- Added food preview icons to the food creation menu
- Made people display emotes while practicing speech or jokes
- Order stuff in the buy menu ascending by price
- Added some error handling for loading broken save games

Fixes
- Fixed a crash if asexual people tried to start new relationships
- Fixed a crash when modded furniture is removed from the world
- Fixed people being able to "go here" into walls
- Fixed some furniture items always reverting to their default colors when loading a save
- Fixed people being able to place wall-hanging items like paintings on the ground
- Fixed placing computers on desks (and similar stuff) being difficult
- Fixed some depth inconsistencies with rugs and wall-hanging objects like paintings
