---
title: "0.14.0: Lamps, Lot Movement, Speech Sounds!"
itch: "https://ellpeck.itch.io/tiny-life/devlog/274082/0140-lamps-lot-movement-speech-sounds"
steam: "https://store.steampowered.com/news/app/1651490/view/4430963222678444595"
---

It is that time again where we release an update for Tiny Life! This time around, we have some pretty cool stuff that I've been wanting to add for a long while now.

This devlog shows and explains some of the new features, and, as always, you can download this update (or an older version of the game, if you really want) for free on itch or as a demo on Steam.

# Lighting
The game has had some form of lighting for a long time now: Up until now, rooms were always lit, no matter the time of day, and the outside would gradually become darker and lighter with each passing day. This was nice, of course, but there was always something missing: Lamps!

Well, we have lamps now. Check them out!

![](https://img.itch.zone/aW1nLzY1MTk1MDYucG5n/original/v5iHFd.png)

![](https://img.itch.zone/aW1nLzY1MTk1MDgucG5n/original/ByE%2FbW.png)

The way these work is pretty straightforward: If a room doesn't have any lamps in it, but *does* have a roof fully covering it, it will be a little darker than the outside world pretty much all the time. However, you can place lamps in the room to light it up permanently!

Additionally, you can tell your people to turn lights on and off, and there are options to toggle an individual light and all lights in a given room. If a person is in an entirely dark room and it happens to be night time, they'll also get a little upset at constantly stubbing their toes on random objects. Fun.

In the future, the game will also feature the ability to change the color of the lights that some lamps emit, but this has not been implemented thus far.

# Overhauled lot movement
In case you've ever tried to move or rotate a lot in Tiny Life so far, you'll know that it used to be a little very much of a pain. Not only were the buttons to move a lot slow and somewhat unresponsive, the rotation feature also kept deleting the ground because it was terrible.

But now, introducing: The overhauled lot movement tool! Have this fun gif that shows what the new tool can do.

![](https://img.itch.zone/aW1nLzY1MTk1NDEuZ2lm/original/5SKVCZ.gif)

# Speech sounds
There isn't much I can show as part of a devlog in this regard, since it's literally *entirely* audio-based, and you're reading text right now, but I can explain to you how speech sounds work!

Every time someone used to display an speech bubble, it was implied that they said something related to the emote displayed in it. I actually see a lot of people, both in The Sims games and in videos about Tiny Life, pretending to talk about the things that appeared in the speech bubbles, and it usually ended up turning into a very ridiculous story. Now, people in the game will do that exact thing themselves! Except that they'll do it in a little mumble-y voice of a sound pack that I bought for 9€ on a whim the other day.

I think the mumbling is very fitting for the game, but I also realize that the current sounds are lacking when it comes to variety in speech patterns and voice pitch. You *can* change the pitch of a person's voice in the character creator, but to a very limited degree, and it doesn't allow you to create overly feminine or deep, masculine voices right now. There's definitely more to come in that regard!

# Skill requirements for promotions
You'll now have to actually be good at your job to get a promotion.

More specifically, you'll have to be a certain level in a certain set of skills (hah) to get a promotion in each job. The skills required *match-ish* the job types they're required for, but as there aren't that many skills in the game right now, perfect matches can't be made yet. As more skills get added into the game, the skill requirements for each job type might be changed or overhauled as a result.

Have this picture, though.

![](https://img.itch.zone/aW1nLzY1MTk1NzIucG5n/original/6shPqH.png)

# Full changelog
As always, you can check out the full changelog in the bottom right corner of the game's main menu, or right here:

Additions
- Added dynamic lighting and two lamps, a ceiling and a floor one
- Added speech sounds and a way to change a person's voice pitch in the character creator
- Added skill requirements for job promotions
- Added information to skill levelup notifactions that lists what actions are now unlocked
- Added an option to increase the overall brightness of the world at night
- Added an option to hide objects attached to walls and ceilings

Fixes
- Fixed the ring menu breaking with a single action on the second page
- Fixed romantic actions displaying for family members if someone is too sad (yikes)
- Fixed incorrect furniture collisions between wall- and floor-based objects
- Fixed action prompts having close buttons when not exitable
- Fixed some visual inconsistencies with particles that are attached to objects
- Fixed held items being deleted when switching out of the Move tool
- Fixed corner-based furniture being able to connect incorrectly, especially counters
- Fixed a wall rendering inconsistency in some camera rotations

Improvements
- Overhauled the Move Lot tool, allowing for much easier lot movement and rotation
- Made it likelier for people to pay the bills if their needs are extremely low
- Improved performance of in-world rendering
- Require the "Allow AI Important Actions" option to be turned on for people to repair things automatically in the active household
- Made hints and loading screen info display the current keybind for actions, not the default one
- Made puddles evaporate and disallowed mopping on natural ground
- Improved the volume of in-world audio (temporarily, there are still more issues to fix)
