---
title: "0.16.0: Woodlands and Visitors"
itch: "https://ellpeck.itch.io/tiny-life/devlog/289260/0160-woodlands-and-visitors"
steam: "https://store.steampowered.com/news/app/1651490/view/2949282742498975401"
---

![](https://img.itch.zone/aW1nLzY4NzM5MzUucG5n/original/k8ChdD.png)

I hope yall are excited, because this is a pretty big update. Not only do we have a ton of new features, we have an entire new Set for you to play around with, with art by the amazing [faellynna](https://www.instagram.com/faellynna/)! Let's check it out in detail.

# The Woodlands Set
> Decorate your timbered cottage, put on your flannel shirt and get ready to create some wooden furniture of your own!

As its description explains, the woodlands set features a ton of new cottage- and forest-themed furniture, wallpapers, clothes and other items. Additionally, it features a large map expansion with plenty of new lots and a beautiful evergreen forest.

![](https://img.itch.zone/aW1nLzY4NzM4MDYucG5n/original/98V8eH.png)

![](https://img.itch.zone/aW1nLzY4NzM4MDkucG5n/original/Ypro0%2B.png)

Along with this new area, there are also some beautiful new lots created by [Macy](https://twitter.com/DesertStranded) and the Set's artist [faellynna](https://www.instagram.com/faellynna/).

![](https://img.itch.zone/aW1nLzY4NzM4MTQucG5n/original/gkTurd.png)

![](https://img.itch.zone/aW1nLzY4NzM4MTgucG5n/original/mGd%2BQ7.png)

![](https://img.itch.zone/aW1nLzY4NzM4MTkucG5n/original/iWWCI0.png)

![](https://img.itch.zone/aW1nLzY4NzM4MjIucG5n/original/CSTP0R.png)

# Woodworking
Along with the Woodlands Set, a fun new skill has been added that allows people to earn money, as well as decorate their house with beautiful, homemade furniture. The Woodworking skill allows people to craft more and more complex furniture with a higher skill level, and any crafted furniture will give people positive or negative emotion modifiers (based on its quality) when being used.

![](https://img.itch.zone/aW1nLzY4NzM4MjcucG5n/original/1Is0pP.png)

![](https://img.itch.zone/aW1nLzY4NzM4MzEuZ2lm/original/W02aKx.gif)

# Regular Visitors
Another very cool new system is being introduced in this update: The Regular Visitors system! Up until now, everyone that you came across throughout town was someone that also permanently lived in a house there. This meant that, while visiting everyone that you interacted with was possible, the amount of people that could reasonably walk around in town was limited to the amount of lots and people per household.

Not anymore! With the regular visitors system, randomly selected people from the game's default data, as well as your manually exported (or downloaded) households will become regular visitors of your town. They will enter town occasionally from one of the exit roads to visit a public or residential lot, stay around for a while and then go back home at a later point by leaving town again.

![](https://img.itch.zone/aW1nLzY4NzM4NjMucG5n/original/GPScdr.png)

If you want a regular visitor that you've built an in-depth relationship with to stay in town forever, you can also invite them to move in with you using the new "Ask to Join Household" interaction!

# Ow, It Stings
Lastly, a fun new sound effect type has been added into the game: Emotion stings! Emotion stings are small sound effects that play whenever the currently selected person's emotion changes, and each emotion has a unique sound effect that matches it.

This system is inspired by the one present in The Sims 4, and the sound effects for Tiny Life's emotion stings have been created by the lovely [Jamal Green](https://jamalgreenmusic.com), who I've previously worked with on one of my other projects. The music he creates is awesome, and the stings are no different.

If, for some reason, you don't like the sting sound effects, you can always disable them in the Audio options menu.

# The Full Changelog
As always, here's a copy of the full changelog, which you'll also be able to find in the bottom right corner of the game's main menu, as always. There's a lot of improvements and bugfixes in this update, as well, so check it out and you might find some fun secrets in there!

Additions
- Added the Woodlands Set with art by [faellynna](https://www.instagram.com/faellynna/), which includes a Woodworking skill and a large variety of new build mode items:
  - 34 new furniture items, including the woodworking table and new types of decorative items
  - 4 flooring tiles
  - 5 wallpapers
  - 2 roof styles
  - 8 character creator items
- Added a large new forested area with dirt footpaths to the eastern part of town, along with some new houses and empty lots
- Added emotion sting sound effects by the lovely [Jamal Green](https://jamalgreenmusic.com)
- Added a regular visitors system that allows for people from exported households to visit and interact with the town without living there
- Added a few households that are exported by default to populate the visitors system
- Added the ability for furniture to get dirty and having to be cleaned
- Added an "Invite into Household" interaction
- Added a way to scrap other people's crafts on public lots
- Added italian translation ([SchiavoAnto](https://twitter.com/schiavoanto))

Improvements
- Improved the chatting interaction on the computer, now allowing people to chat with specific people
- Added more in-game hints for various build mode tools
- Added a configurable keybind for increasing and decreasing game speed
- Cleaned up the localization of money and always display money amounts with decimals
- Allow easily deleting items in the move tool by pressing the Del key when hovering over them
- Split the Import menu into custom and default content and improved the household import menu
- Move invalidly placed objects into the furniture storage instead of selling them
- Made people leave the room on their own if they see someone being inappropriate
- Rebalanced bills slightly
- Made people tell others to leave the room when they start fooling around
- Disallow trees from being placed below roofs
- Made trees have a minimum distance from walls
- More gracefully handle Steam cloud sync exceptions
- Color lots on the map based on whether people live there
- Added the ability to clone roofing, openings, wallpapers and tiles in build mode

Fixes
- Fixed paintings being placed on easels incorrectly at fast game speeds
- Fixed a crash when hovering over people with lot employments whose personality is known
- Fixed 3D sounds breaking on camera rotation
- Fixed depth calculations being incorrect for larger and oddly-shaped objects
- Fixed the ability to hack yourself
- Fixed roofing having incorrect display names
- Fixed a crash when exiting the move tool with an item from storage selected
- Fixed hidden (out of town) people still spawning particles and emotes
- Fixed the ability to ask lot employment people to leave not working
- Fixed furniture with parents sometimes not being imported correctly
- Fixed people turning around visually for a single frame when starting social actions while sitting
- Fixed roofs having incorrect depth calculations in some camera rotations
- Fixed people not leaving occasionally when being asked to leave
- Fixed money not being subtracted when importing new households
- Fixed practice speech and jokes actions going on forever if done automatically
