---
title: "0.17.0: Life Goals, Reward Personalities and Daily Tasks"
itch: "https://ellpeck.itch.io/tiny-life/devlog/303915/0170-life-goals-reward-personalities-and-daily-tasks"
steam: "https://store.steampowered.com/news/app/1651490/view/4244072077610086379"
---

Hello everyone! It's that time again where we release a Tiny Life update, and with it, a fun devlog post that features a bunch of descriptions and images of the new stuff.

First though, some self-promotion.

# Twitter
You heard that right: Twitter! Tiny Life now has [a twitter account](https://twitter.com/TinyLifeGame) that gets hit with a bunch of cool information, sneak peeks and screenshots.

If you've been following the Twitter for a while, you already know about a very exciting upcoming feature in the game: Children! They're not here yet, sadly. But they will be, soon. If you're interested in them, you can check out the information that was already posted on Twitter over the last few weeks!

# Life Goals
A lot of people struggle with setting their own goals in a sandbox game like Tiny Life. Not only that, but even people who *do* set their own goal can sometimes start to feel like they don't know what to do in the game.

Well, not to worry, because Life Goals are here! Life goals are a new system in Tiny Life, which can be found in a new tab at the bottom of the screen.

![](https://img.itch.zone/aW1nLzcyMDQxNjgucG5n/original/J4KEfu.png)

As you can see, a person can select a life goal for themselves, and there are quite a few to choose from right now. Of course, as development goes on, more will be added, though!

Each life goal features multiple stages, each stage containing one or more challenges that a person has to complete to complete the stage.

![](https://img.itch.zone/aW1nLzcyMDQxNzkucG5n/original/ANHKmX.png)

Once each stage of the life goal is completed, the life goal itself is also completed. Nice!

## Reward Personalities
Upon completing a life goal, each person can unlock a unique hidden personality trait for themselves. These personalities usually have to do with the life goal itself, and they're supposed to make life easier for the people that have them.

Here's the one you receive when completing the Gym Rat life goal, for example.

![](https://img.itch.zone/aW1nLzcyMDQxODQucG5n/original/Co9gjH.png)

# Daily Tasks
Work is terrible. We all know this. But what's even more terrible is coming home to *even more work*. We decided that this terribleness would fit perfectly into Tiny Life itself, which is why this update also includes daily tasks for some jobs (currently only teacher and firefighter, but more to come, as always).

![](https://img.itch.zone/aW1nLzcyMDQxOTcucG5n/original/4mqWWP.png)

Daily tasks can be completed for a little boost in job performance over the course of the following day. If the daily task is not completed, performance gain will be a little lower, but still good enough to get that promotion you've been working towards.

# The Full Changelog
As always, here's the full changelog for this update. You can also view this in-game by clicking on the little arrow button in the bottom right corner of the main menu.

Don't forget to follow [the Twitter account](https://twitter.com/TinyLifeGame) for updates and sneak peeks about the game, too!

Additions
- Added Life Goals
- Added 5 new personality types that can be obtained by completing life goals
- Added a Daily Task system to some jobs
- Added Dutch translation ([Alexander Stekelenburg](https://twitter.com/superaxander))

Improvements
- Added an in-game hint that explains out of town actions
- Made pivot points pixel-perfect for people to avoid visual alignment inconsistencies
- Added Twitter button to main menu
- Improved GPU memory usage for tiles
- Improved the visual layout of the credits menu
- Added a minor personality types system and moved asexuality and aromance from separate properties to minor personalities
- Renamed Lazy personality to Laid-Back
- Automatically fill empty lot employments and only bring up the menu if there are no available exported people
- Made the language menu display the completion of localizations

Fixes
- Fixed newly placed tiles looking weird sometimes
- Fixed an action exception when someone is fired while at work
- Fixed character creator crashing when someone is bald
- Fixed the scrap action being shown as unavailable on all objects if a person is holding an item
- Fixed scrapping an object failing if the item is held
- Fixed three-seater sofas not actually having three seats
- Fixed food items missing creator information in their tooltip
- Fixed concurrency issues when saving occasionally
- Fixed people displaying particles when hidden
