---
title: "0.18.0: Animations, Food and Sources"
itch: "https://ellpeck.itch.io/tiny-life/devlog/317472/0180-animations-food-and-sources"
steam: "https://store.steampowered.com/news/app/1651490/view/3111419849470831533"
---

Hey everyone! It's been a hot minute since the last update, but now we're back, and we're... more updated than ever. I still don't quite know how to introduce these posts.

The 0.18.0 update features a ton of smaller things, and not so many bigger things. That's fine, though, because a lot of smaller things kind of amounts to a few big things, right? Let's get started.

# Ui Animations
This is the biggest new feature in this update. We've introduced some super flashy and really fun Ui animations, both for opening and closing menus, and for opening the interaction ring menu that I'm sure you're very used to by now.

Check out this somewhat low-quality gif of the new animation, which actually displays at a higher frame rate in game. I promise.

![](https://img.itch.zone/aW1nLzc1MDMxMDkuZ2lm/original/EXy0ok.gif)

If you don't like your ui to be animated, or you have an accessibility-related reason, these animations can be turned off in the options menu with a single click.

As a side note, this update also stops interaction menus from opening partly off-screen when clicking something close to the edge of the screen. Yay!

# Emotion Sources
Have any of your people ever had an emotion modifier, and all you did was wonder "Where the heck did they *get that*?"

Well, not anymore!

![](https://img.itch.zone/aW1nLzc1MDMxMTEucG5n/original/Oj2dtw.png)

Almost all emotions will now display the action, personality type or need that they originate from if you hover over them in the emotions tab. Very useful.

# New Content
There's a few new content items that made it into this update too. Here are some screenshots of them!

Tasty breakfast foods.

![](https://img.itch.zone/aW1nLzc1MDMxMjIucG5n/original/38a9VI.png)

Tasty flowery grass. This is actually a new tile, not a new flowery furniture piece. Did you eat flowers as a child, or was that just me?

![](https://img.itch.zone/aW1nLzc1MDMxMjMucG5n/original/Z5TQBL.png)

Tasty Tiny Life: Taylor's Version. Probably shouldn't eat scarves, though.

![](https://img.itch.zone/aW1nLzc1MDMxMjkucG5n/original/1JyYYP.png)

# Hint History
Have you ever missed a hint? Or... read a hint and then immediately forgot what it said? Well, never fear, because this update also includes a hint history menu that you can find in the options. It even orders hints by category!

![](https://img.itch.zone/aW1nLzc1MDMxMzgucG5n/original/wtjEhs.png)

# Upcoming Content
I don't usually do this, but here's a little outlook on some upcoming content for the game. If you're following [the twitter](https://twitter.com/TinyLifeGame), this won't actually be news to you.

![](https://img.itch.zone/aW1nLzc1MDMxNDMucG5n/original/LSVSSQ.png)

# The Full Changelog
As always, here's the full changelog for your enjoyment. You can also look at it in the main menu by pressing the button in the bottom right corner, as always.

Additions
- Added emotion sources that display when hovering over an emotion modifier
- Added cool UI animations
- Added a hint history menu to the options
- Added a tab to the character creator which allows writing custom descriptions for people and households
- Added a scientist job
- Added keybinds for zooming in and out
- Added a button to delete a household entirely
- Added some more emotion modifiers that trigger in social situations
- Added some more breakfast foods
- Added a lovely flowery grass tile
- Added a cute scarf

Improvements
- Made skill building activities fun if the skill level is high enough
- Improved memory usage in various cases
- Improved the way relationships between imported people are handled
- Dispose raw versions of packed textures, which reduces VRAM usage
- Limit the length of the notification history to 1024 entries
- Added the website's scrolling background to the main menu
- Replace all natural tiles with concrete when creating a room (not just grass)
- Replace alpha-based particles with scale-based particles to avoid rendering issues
- Also allow AI skill building when a person's job requires it
- Rebalanced job payouts and bills slightly
- Allow loading mods from a zip archive
- Made sounds in hidden rooms quieter
- Improved the look of the mouse cursor

Fixes
- Fixed daily job tasks not working correctly in some cases
- Fixed introverts being happy about being at home when they're not actually at home
- Fixed interaction menus displaying partly off-screen when opened sometimes
- Fixed chatting with people displaying the friendship particle constantly
- Fixed particles being lit from the outside despite being inside in some cases
