---
title: "0.19.0: Ui, Sound and Improvements Abound"
itch: "https://ellpeck.itch.io/tiny-life/devlog/330680/0190-ui-sound-and-improvements-abound"
steam: "https://store.steampowered.com/news/app/1651490/view/3109171219652255208"
---

Happy new year, everyone! Unfortunately, over the holidays, and since the main developer (me, hi) is moving soon, development on Tiny Life has been a little slower than usual. This means that the update that adds children into the game is still not finished yet. What we *do* have, though, is a fun update that spices up a lot of the existing parts of the game. Take a tour with me!

# What's in a name?
Tough question. *In this situation* at least, there's quite a lot in a name! The people in Tiny Life have always been called just that: "people". But that's a bit boring, and it becomes harder to understand when text in the game (or outside of it) is also referencing the *players*, which are, mostly, people as well.

So, the people (*see?*) have decided that the official name for the inhabitants of Tiny Life should be: **Tinies**! Or **Tiny** if it's just one. Yay!

![](https://img.itch.zone/aW1nLzc3ODcyMzUucG5n/original/jwznGo.png)


# UI transitions
In the last update, we got a lot of UI animations, but there was one big thing that was still missing: Transitions between the various game states, including the main menu, the map selection screen, as well as the character creator. So now, we have some fun transitions!

![](https://img.itch.zone/aW1nLzc3ODcxODcuZ2lm/original/%2BPlCUI.gif)

We tried a lot of styles, but settled on this fun swipe transition since it fits the fun aesthetic of the game pretty well. I hope you agree!

If you want to disable these for whatever reason, you can do so in the options menu, of course.

# Auto-tiling
A lot of games have it, and for good reason: It looks a lot prettier! Up until now, the tiled nature of Tiny Life's ground was *very* apparent, which is fine for rough, smooth tiles like concrete, hardwood and roads, but looked a bit odd for more organic and natural tiles like paths, dirt and grass.

Now, these tiles will automatically display a smooth transition to neighboring tiles, making the area look a lot less rigid.

![](https://img.itch.zone/aW1nLzc3ODcyMTUucG5n/original/wIQjQx.png)

![](https://img.itch.zone/aW1nLzc3ODcyMTYucG5n/original/YV3k3K.png)

# Occasional improvements
Up until now, the occasions that clothing items were used for were decided automatically by the game. It was a clunky system. We don't know what we were thinking, to be completely honest with you.

Starting now, you can head into the character creator (using a chest of drawers, or when creating a new household) and, for each outfit that your Tinies have, select a set of occasions that you'd like them to wear it on. Once you do, they'll automatically put it on for the occasion, and switch back to the previous outfit once they're done.

![](https://img.itch.zone/aW1nLzc3ODcyMTkucG5n/original/q9m%2Fh%2F.png)

# Small new things
To get in the spirit of the children update (which is hopefully coming soon!), here are some new wallpapers and tiles that you can use to decorate with. Well, it's really just one each, and then there's also a simple carpet tile, since a lot of people have been asking for that.

![](https://img.itch.zone/aW1nLzc3ODcyMjMucG5n/original/sTP5i4.png)

# The full changelog
As you're probably used to by now, here's the full changelog as well. You can also find this in the bottom right corner of the game's main menu, as always.

Additions
- Added carpet and puzzle piece floorings
- Added a cloud wallpaper
- Added UI transitions when switching between game modes
- Added ambient sounds which play based on where the camera is
- Added sounds for fireplaces as well as lamp, trash can and woodworking interactions
- Added additional colors for skin, eyes, as well as pastel and modern furniture and clothes
- Added a "Store in Household Storage" action to paintings
- Added a splash screen at the start of the game

Improvements
- Changed all cases of "person" and "people" in the game's text to "Tiny" and "Tinies", respectively
- Display a fade animation when a person dies
- Allow setting desired occasions for each outfit manually
- Made natural tiles (dirt, path, grass) connect to grass smoothly
- Only spawn particles if they'll be visible on screen
- A lot of performance improvements in various areas of the game

Fixes
- Fixed unfinished woodwork items escaping the action preview area
- Fixed additional VRAM being used the more tiles are edited during a single play session
- Fixed the high bun hairstyle not having the workout set icon
- Fixed colors overflowing out of the character creator screen for complex clothing items
- Fixed an exception when trying to fool around in occupied beds
- Fixed some actions throwing an exception when their action object is removed before the action starts
