---
title: "0.20.0: The Children Update, it's finally here!"
itch: "https://ellpeck.itch.io/tiny-life/devlog/355830/0200-the-children-update-its-finally-here"
steam: "https://store.steampowered.com/news/app/1651490/view/3100171001731828571"
---

Hello everyone! It's finally time for another devlog again. It's been a hot minute since the last one, but there's a good reason for that: We've been hard at work getting The Children Update™ finished for all of you!

Let's walk you through what exactly that means, including some new promotional art, a new trailer, some new screenshots, and a whole heap of new content.

# Children
Children are a new age group, which can be selected when creating a new person (or when using the `EditPerson` [cheat](https://docs.tinylifegame.com/articles/cheats.html)).

![](https://img.itch.zone/aW1nLzgzNjU1NDQucG5n/original/CT5XTJ.png)

They are controlled the same, but behave slightly differently from the adults you know and love. Here's a basic rundown of what they can and can't do:
- They can't make their own food, but they can ask an adult to make food for them.
- They are (locked to being) primary school students, and have to do homework regularly to do well in school.
- They are smaller in appearance, and very cute. This also means that they have their own clothing, hair and accessories.
- They can't do some stuff that adults can, like repairing, cleaning, mopping the floor, and they cannot die.
- They can do some stuff that adults *cannot* do, like playing with toys and using a sandbox.
- They gain relationships with other people much more easily, but they also get objects dirty much more easily.
  This isn't nearly all the stuff that makes children different from adults, but you'll be sure to find out more about them while playing with the update for yourself.

# New Stuff
Along with the children, there are also a ton of new objects, lots and households that you'll get to check out. The lots and households were created by the community member [Vortis](https://steamcommunity.com/id/vortis95/), who did an *amazing* job on them. One of them is also an empty starter home, so that is the perfect place to start a new save or a new household if you're not a huge fan of building your own houses.

![](https://img.itch.zone/aW1nLzgzNjU1NDcucG5n/original/9k5VNe.png)

![](https://img.itch.zone/aW1nLzgzNjU1NTIucG5n/original/tYwLJ1.png)

![](https://img.itch.zone/aW1nLzgzNjU1NTMucG5n/original/K0QyuE.png)

![](https://img.itch.zone/aW1nLzgzNjU1NTYucG5n/original/6Zd4%2FN.png)

![](https://img.itch.zone/aW1nLzgzNjU1NTgucG5n/original/glWQk%2B.png)

## Familiar Attire
There is also a new set that is being introduced into the game: **Familiar Attire** by the lovely, and by this point very well-known, [Tector](https://www.instagram.com/tector_pixel/), who previously created the art for the Fitness Set, as well as the game's logo.

Familiar Attire features a ton of new clothes for both adults and children, and it also comes with a lot of new hairstyles and accessories (some of which are in categories that didn't even *exist* before!)

![](https://img.itch.zone/aW1nLzgzNjU1NjEucG5n/original/HZk5OD.png)

![](https://img.itch.zone/aW1nLzgzNjU1NjMucG5n/original/Qjd0q8.png)

![](https://img.itch.zone/aW1nLzgzNjU1NjYucG5n/original/CWX8Td.png)

# New Voices
For a long time now, Tiny Life has had the lovely, indecipherable mumbling that people use when communicating with each other. Eagle-eyed players will have noticed, however, that there was only one voice available so far. Today, this is finally changing!

There is now a new, more feminine speech style (that is actually called "sweet" in the game as to avoid the unnecessary gendering), spoken by the lovely [SyrinixSoul](https://https://www.twitch.tv/syrinixsoul) of Twitch and "having a lovely high voice" fame.

In addition, there is also a new voice style for children, spoken by the friend-of-a-friend (actually, son of a friend) of ours, who did an amazing job creating a gender-ambiguous, adorable (you probably don't want to hear that it's adorable, I'm sorry), voice. The person in question is [Tyler V](https://www.youtube.com/channel/UCHyeGSQpeXmukFzMWGYKDpQ), who also has a YouTube channel where he uploads gameplay videos.

You can hear the new voices in the game, as I don't think itch and Steam allow me to upload videos directly. Soz. If you want to change the voice of the Tinies you already have, you can always use the `EditPerson` [cheat](https://docs.tinylifegame.com/articles/cheats.html), as previously mentioned.

# New Promo Art
Along with this update, it felt fitting to finally create some new promotional art for the game, as the screenshots that we were previously using were getting pretty old and outdated. So feast your eyes on some of the new screenshots we took, featuring new stuff from this update!

![](https://img.itch.zone/aW1nLzgzNjU1NjcuanBn/original/xtZoOX.jpg)

![](https://img.itch.zone/aW1nLzgzNjU1NjguanBn/original/kofx88.jpg)

![](https://img.itch.zone/aW1nLzgzNjU1NjkuanBn/original/xc3Fi8.jpg)

There's also a new trailer, which you should definitely check out.

<iframe width="560" height="315" src="https://www.youtube.com/embed/iw-D7queVUI" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

# The Full Changelog
And, last but certainly not least, here is the full changelog in all of its glory. As always, you can also check it out in-game by clicking the little button in the bottom-right corner of the main menu. It's a lot this time.

It's also worth mentioning that you can always tweet [@TinyLifeGame](https://twitter.com/TinyLifeGame) on Twitter when you upload any videos or stream any content from the game, as that means that we'll not only be able to check it out, but also be able to shout you out. We love seeing content about the game, so don't be shy! ❤

Additions
- Added the Children age group, which includes several new gameplay features, including new interactable furniture items, school, homework and the start of parenting interactions
- Added the Familiar Attire set with art by [Tector](https://www.instagram.com/tector_pixel/), which includes several new clothing items and accessories for children and adults
- Added multiple new furniture items, including three plants, two decorative objects, a smaller picnic table, a sandbox, a jigsaw puzzle, a stove for kids, and a toy box
- Added a top hat clothing item
- Added two new personality types: Family-Focused and Hates Children
- Added a speech type system which includes a more feminine voice style spoken by [SyrinixSoul](https://https://www.twitch.tv/syrinixsoul)
- Added an option to allow complex social relationships between AI Tinies
- Added a grid to build mode (which can be toggled using the G key)
- Added keybinds to move the camera (arrow keys by default, but can be changed to WASD in the controls menu)
- Added a crash detection system which displays a notification when the game starts up the next time
- Added a world selection to the "New Game" menu

Improvements
- Added the "failed joke" emotion modifier to all jokes
- Organized the gameplay options menu better
- Increased the default brightness increase to 25%
- Moved the notification history button to where options and build mode are
- Display a warning when a save is loaded with missing mods
- Bundle all errors into one notification when loading or saving
- Display the reason that actions in a subcategory are unavailable straight away if they are all the same
- Made accessories less likely to be randomly generated on newly created people
- Some memory usage improvements
- Ordered the furniture tool's "All" tab by the category that furniture items are in
- Added notifications for when cheats are turned on or off
- Allow Tinies to get jobs automatically if important actions are enabled
- Display which color scheme is currently selected
- Allow using ALT for objects that are attached to walls
- Display the loading progress in the loading screen
- Allow stoves to get dirty
- Allow editing and changing outfits at mirrors

Fixes
- Fixed a rare exception when people grabbed a serving of food
- Fixed camera rotation buttons not having a highlight color
- Fixed a crash when trying to talk to a person who just died
- Fixed an exception that occurred when there was no mailbox on a residential lot
- Fixed lot imports breaking if the import button is pressed too many times in a row
- Fixed the household preview being too wide for large households

API
- Added Harmony, allowing for mods to inject custom code into the game
