---
title: "0.21.0: Two Years of Tiny Life: Cafés, Gamepad Controls and More"
itch: "https://ellpeck.itch.io/tiny-life/devlog/384666/0210-two-years-of-tiny-life-cafs-gamepad-controls-and-more"
steam: "https://store.steampowered.com/news/app/1651490/view/3189123589808204255"
---

To celebrate two years of Tiny Life's development, and to *finally* relieve the tension that all of you have been feeling after over two months of new update, here's 0.21.0, which marks Tiny Life's move from alpha to beta, and comes with a ton of awesome new features. This devlog contains all the information you need, as well as a full changelog for this update.

# Gamepad Controls
With the Steam deck having arrived a while ago, and `REDACTED` on the horizon, we thought it is the perfect time to add the ability to control the entire game with a gamepad. All you have to do is pick up and connect a controller of any kind to your computer, launch Tiny Life, and use it to control the game!

Since there are a lot of available interactions in the game at any given point, we've opted to use the left and right triggers (or bottom shoulder buttons) as modifier buttons of sorts. This means that, to access some actions, you have to hold down one of the triggers and then press a button that normally has a different action. Neat!

In case you forget any of the controls, there's also a neat new hint area in the bottom-right corner of the screen that displays some useful controls. If you're too cool for school, you can disable this in the game's options, too.

![](https://img.itch.zone/aW1nLzkwMTAxODYucG5n/original/UGk8nG.png)

Additionally, for all users of wacky controllers out there, there are some options to improve the handling of the game's controls when using a gamepad.

![](https://img.itch.zone/aW1nLzkwMTAxODgucG5n/original/NWd36E.png)

# Cafés
Everyone loves public lots, right? Social gatherings that happen on accident, people falling asleep on the side of the road, some rude person called Joe walking up to you and insulting you. That's the stuff. You can now do all of that stuff at the new café lot type, and associated "Coffees and Trees Café" in Maple Plains City!

![](https://img.itch.zone/aW1nLzkwMTAxODkucG5n/original/1d7Drg.png)

![](https://img.itch.zone/aW1nLzkwMTAxOTAucG5n/original/1ywy1S.png)

At these places, a new barista employee will greet you and assist you with coffee and delicious food. To do this, all you have to do is click on the barista employee and select "Order Food" or "Order Coffee". The barista employee will then go ahead and prepare it for you, and call you out of the café crowd when it's done. Mmm, tasty.

# New Items
This update also features a bunch of new items, including furniture, outdoor decorations, and a new door. Here are some screenshots of that stuff. Enjoy!

![](https://img.itch.zone/aW1nLzkwMTAxOTEucG5n/original/596hIp.png)

![](https://img.itch.zone/aW1nLzkwMTAxOTIucG5n/original/%2FCdR2L.png)

![](https://img.itch.zone/aW1nLzkwMTAxOTMucG5n/original/d%2BU28D.png)

Along with the coffee machine (which you can also use at home, if you don't like heading out to cafés), there's also a useful new item that players have been *begging* for: a newspaper! The newspaper will be delivered every other day by the local mail deliverer, and it can be used to get a job, read the news, or read some very funny jokes.

![](https://img.itch.zone/aW1nLzkwMTAxOTQucG5n/original/l%2FxjbB.png)

# Misc. Stuff
There are also some new actions coming at you, mainly related to a new personality type: the Foodie personality! As a foodie, you can talk about food, discuss the pros and cons of putting fruit on your pizza, and you'll be first in line for using a new action that comes with level 8 of the cooking skill: "Adding a Little Something" to food, which increases its quality!

![](https://img.itch.zone/aW1nLzkwMTAxOTUucG5n/original/0oPoKP.png)

![](https://img.itch.zone/aW1nLzkwMTAxOTcucG5n/original/kpWWmb.png)

As a side note, this update also marks the transition from Tiny Life's alpha into the beta. This really doesn't mean much, other than that the game sounds closer to being done than it did before. Which it is. Yay?

# The Full Changelog
As always, here's a full version of the changelog for your perusal. Of course, you can also look at this in the bottom-right corner of the game's main menu.

Additions
- Added the ability to control the entire game using a gamepad
- Added newspapers, and the ability to get jobs from them
- Added two street lamps, a stone wall fence, a coffee machine, a food display case, a staff-only door, a café sign, big and small glass dinner tables, a small wooden dinner table, a modern chair, a coat rack, a wall-attached shower
- Added a café lot type, a playground lot type, and a barista lot employment
- Added the Coffees and Trees Café to Maple Plains City
- Added some additional sweet speech sounds
- Added controls hints, which display useful controls in the bottom right corner (and can be disabled in the hints options)
- Added the ability to tinker with objects to increase repair skill
- Added the foodie personality
- Added the ability to "add a little something" to food with cooking level 8 or higher
- Added the ability to create and share custom maps with the community (this is not documented yet, however)
- Added the ability for children to run around for fun
- Added the ability to add a second binding for each keybind
- Added the ability to clear the notification history

Improvements
- Hide the mouse cursor after five seconds of movement inactivity
- Reduced the tooltip delay from half a second to a quarter of a second
- Made grass tiles have visual variations
- Moved portraits down to avoid them being hidden by the emotion name
- Improved the way wall-hanging objects are rendered, causing them to look wrong less often
- Show the amount of items in the household storage on the icon
- Added particles for grilling, being stinky, chimneys, and breaking things in build mode
- Added an option to allow or disallow loading mods (which is disabled by default)
- Added a tooltip displaying who claimed a bed
- Made stunned emotion go away when showering rather than sleeping
- Added a deselect button to the move tool
- Display a link to the game's roadmap in the main menu
- Added a protective wear clothes intention that gets used when driving on an e-scooter for kids

Fixes
- Fixed a crash with regular visitors if there are broken exported households
- Fixed debug food items crashing the game
- Fixed children being able to do lot employments
- Fixed the game crashing when the OS doesn't allow opening folders in the explorer
- Fixed large benches occluding walls
- Fixed a crash that sometimes occured when deleting the last tiny in the character creator
- Fixed people trying to sleep in beds that other people had claimed
- Fixed some issues with Vortis' households and lots
- Fixed people holding paint brushes wrong in some rotations
- Fixed a rare crash when grabbing a serving from a nonexistent platter
- Fixed notifications forgetting their icons when quitting and reloading a save

API
- Converted a lot of enumerations to other types, allowing for custom values to be added
- Allow openings to have multiple layers
